# SalesforceCanvasJavascriptSDK

A JavaScript SDK used to integrate applications with the Force.com Canvas framework

### Introduction

Force.com Canvas is a mechanism for consuming third-party applications within Salesforce. Its goal is to connect applications at a UI level instead of just an API level. The purpose of this GitHub repository is to provide third-party applications with a JavaScript SDK so you can easily integrate canvas-style applications into Salesforce, while developing in the technology and platform of your choice. 

The best place to get started building canvas applications is the [online developer's guide](http://www.salesforce.com/us/developer/docs/platform_connect/index.htm).

Currently, we provide Java and Ruby examples, but you can develop in whatever language you prefer. Most of the integration with Salesforce is through JavaScript and REST. You can also run and test your application locally from your own host, or from [Heroku](http://www.heroku.com/).  For a quick example of how to create a Java Canvas application, please see the [SalesforceCanvasFrameworkSDK GitHub project](https://github.com/forcedotcom/SalesforceCanvasFrameworkSDK).

### How to install the SDK (using _npm_)
 
    npm install @salesforce/canvas-js-sdk
 
Then add a `<script>` to your `index.html`:

    <script src="node_modules/%40salesforce/canvas-js-sdk/js/canvas-all.js">

Or from React:

    import '@salesforce/canvas-js-sdk';

### How to clone the SDK repository

    git clone git@github.com:forcedotcom/SalesforceCanvasJavascriptSDK.git

### How to use the Canvas JavaScript SDK

To use this SDK, simply include the canvas-all.js file in your page.

### Documentation
You can find JSDoc generated documentation for the JavaScript function in the docs directory.
